## GVirSecret

GVirSecret

## Functions

const gchar * | gvir_secret_get_name ()
const gchar * | gvir_secret_get_uuid ()
GVirConfigSecret * | gvir_secret_get_config ()

## Properties

GVirSecretHandle * | handle | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── GVirSecret

## Description

## Functions

### gvir_secret_get_name ()

    const gchar *
    gvir_secret_get_name (GVirSecret *secret);

### gvir_secret_get_uuid ()

    const gchar *
    gvir_secret_get_uuid (GVirSecret *secret);

### gvir_secret_get_config ()

    GVirConfigSecret *
    gvir_secret_get_config (GVirSecret *secret,
                            guint flags,
                            GError **err);

#### Parameters

secret | the secret |
flags | the flags |
err | Place-holder for possible errors |

#### Returns

the config. The returned object should be unreffed with `g_object_unref()` when no longer needed.

[transfer full]

## Property Details

### The `“handle”` property

      “handle”                   GVirSecretHandle *

The secret handle.

Owner: GVirSecret

Flags: Read / Write / Construct Only